<?php
namespace Ep\Woo\Product;

class Tire extends Simple
{
    /** @var string */
    private $fuelEfficiency;
    /** @var string */
    private $adhesion;
    /** @var string */
    private $noise;
    /**
     * Get internal type.
     *
     * @return string
     */
    public function get_type() {
        return 'tire';
    }

    /**
     * @return string
     */
    public function getFuelEfficiency(): string
    {
        return $this->fuelEfficiency;
    }

    /**
     * @param string $fuelEfficiency
     */
    public function setFuelEfficiency(string $fuelEfficiency): void
    {
        $this->fuelEfficiency = $fuelEfficiency;
    }

    /**
     * @return string
     */
    public function getAdhesion(): string
    {
        return $this->adhesion;
    }

    /**
     * @param string $adhesion
     */
    public function setAdhesion(string $adhesion): void
    {
        $this->adhesion = $adhesion;
    }

    /**
     * @return string
     */
    public function getNoise(): string
    {
        return $this->noise;
    }

    /**
     * @param string $noise
     */
    public function setNoise(string $noise): void
    {
        $this->noise = $noise;
    }
}
